/*--SELETORES--*/

html {
    font-size: 6.25%; /*1px = 1rem*/
    scroll-behavior: smooth;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;

    background: rgb(222, 222, 222);
    height: 200vh;
}

h1 {
    border: 1px solid rgb(255, 255, 255);
    color: rgb(255, 255, 255);
    font-size: 50rem;

    margin-top: 35rem;
    margin-bottom: 60rem;

    padding-top: 5rem;
    padding-bottom: 10rem;
    padding-left: 200rem;
    padding-right: 200rem;

    display: flex;
    justify-content: center;

    text-align: center;
    align-items: center;
}

h1:hover{
    color:rgb(39, 39, 39);
    transition: 0.50s ease;
    cursor: default;
}

h2{
    font-size: 55px;
}

h3 {
    color: rgb(255, 255, 255);
    font-size: 24px;

    margin-top: 1px;
    margin-bottom: 0px;
}

h4 {
    color: rgb(0, 0, 0);
    font-size: 13px;

    margin-bottom: 10px;
}

p {
    color: rgb(255, 255, 255);
    font-size: 18.5px;

    margin-top: -10px;
    margin-bottom: 0px;
}

a {
    color: rgb(192, 192, 192);
    font-size: 22px;
    transition: 0.25s ease;
    text-decoration: none;

    border-radius: 6%;
    padding: 2px;
}

a:hover {
    color: rgb(39, 39, 39);
    background-color: none;
    box-shadow: 0px 3.6px 0px rgb(255, 255, 255);

    border-radius: 0%;
}

/*--SELETOR UNIVERSAL*/

*{
    font-family: "Oswald" ,serif;
}

/*--CLASSES--*/
.text-center {
    color: rgb(255, 255, 255);

    text-align: center;
    display: flex;
    justify-content: center;

    margin-top: 40px;
}

.profile-photo {
    width: 200px;
    height: 200px;

    zoom: 1.8;

    border: 3px inset rgb(226, 226, 226);
    border-radius: 100%;
    padding: 0px;

    display: flex;
    position: relative;

    box-shadow: 1px 1px 6px rgb(255, 255, 255);

    margin-left: auto;
    margin-right: auto;
    margin-bottom: 20px;
    margin-top: 0px;

    animation: animate 1.5s ease-in-out infinite alternate-reverse;
}

.img_horizontal_center {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: center;

    margin-top: 15px;
    margin-bottom: 20px;
    gap: 15px;
}

.qr-code {
    width: 130px;
    height: 130px;

    box-shadow: none;
}

.qr-edit:hover {
    box-shadow: none;
    background:none;
}

.main-conteiner {
    border-radius: 1%;
    background: linear-gradient(to left, rgb(18, 18, 18), rgb(93, 93, 93), rgb(18, 18, 18));

    padding-left: 180px;
    padding-right: 180px;

    align-items: center;
    justify-content: center;
    display: flex;

    flex-direction: column;
}

.info-box {
    font-size: 16.5rem;

    width: 700rem;
    height: 100rem;

    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    margin-bottom: 1rem;

    display: flex;
    justify-content: center;
    text-align: center;
}

.presetation {
    display: flex;
    flex-direction: column;

    align-items: center;
    text-align: center;
}

.top-bar {
    display: flex;
    flex-direction: row;
    justify-content: center;

    gap: 20rem;
    margin-top: 25px;

    text-decoration: none;
}

.button-edit {
    text-align: center;
    align-items: center;

    display: flex;
    flex-direction: column;
    position: relative;

    margin-top: 30px;
    margin-bottom: 0px;
    margin-left: 0px;

}

.up-button {
    background-color: rgb(255, 255, 255);
    color: rgb(32, 32, 32);

    width: 35px;
    height: 35px;

    text-align: center;
    align-items: center;

    position: relative;
    left: 480px;

    border-radius: 100%;

    margin-left: 0px;
    margin-right: -40px;
    margin-top: 0px;
    margin-bottom: 14px;

    font-size: 15px;
}

.down-button {
    background-color: rgb(255, 255, 255);
    color: rgb(32, 32, 32);

    width: 35px;
    height: 35px;

    font-size: 20px;

    text-align: center;
    align-items: center;

    position: relative;
    left: 478px;
    top: -36px;

    border-radius: 100%;

    margin-left: 0px;
    margin-right: -40px;
    margin-top: -28px;
    margin-bottom: 7px;

    transition: 0.50s ease;

    font-size: 15px;
}

.up-button:hover {
    cursor: pointer;
    background-color: rgb(31, 31, 31);
    color: rgb(255, 255, 255);

    box-shadow: 1px 1px 10px white;
}

.down-button:hover {
    cursor: pointer;
    background-color: rgb(31, 31, 31);
    color: rgb(255, 255, 255);

    box-shadow: 1px 1px 10px white;
}

.cv-button {
    background-color: white;
    color: rgb(32, 32, 32) ;

    text-align: center;
    align-items: center;

    margin-top: 30px;
    margin-bottom: -15px;
    
    border-radius: 5px;

    width: 230px;
    
    font-size: 20px;
}

.cv-button:hover {
    cursor: pointer;
    background-color: rgb(32, 32, 32);
    color: rgb(255, 255, 255);
}

/*ANIMACOES*/
@keyframes animate{
    0%{
        top: 0;
    }

    100%{
        top: 30px;
    }
}
